/*
 *
 * Copyright (C) 2018  Frank Engler
 *
 * This file is part of Virtual AttributeService Client.
 *
 * Virtual AttributeService Client is free software: you can redistribute it
 * and/or modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation, either version 3 of the
 * License, or any later version.
 *
 * Virtual AttributeService Client is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

@namespace spmls "urn:oasis:names:tc:SPML:2:0:search";
@namespace idpp "urn:liberty:id-sis-pp:2005-05";
@namespace safe "urn:de:egov:names:safe:1.0:id-sis-pp:extension";
@namespace fim "urn:de:egov:names:fim:1.0:id-sis-pp:extension";
@namespace ds "http://www.w3.org/2000/09/xmldsig#";
spmls|pso{margin-top: 2ex;}
spmls|pso,spmls|psoID,idpp|MsgContact,safe|EJusticeAttributes{display: block;}
idpp|AddrType,idpp|MsgType,ds|X509Certificate,safe|Roles,safe|RoleID{display: none;}
safe|FormOfAddress,idpp|PersonalTitle,idpp|FN,fim|StreetName,fim|HouseNumber,idpp|PostalCode,idpp|L,idpp|St{margin-right: 0.25em;}
idpp|PersonalTitle,idpp|FN,idpp|SN,fim|HouseNumber,idpp|PostalCode,idpp|L,idpp|St,idpp|C{margin-left: 0.25em;}
idpp|AnalyzedName{display: flex;}
safe|FormOfAddress{order: 1;}
idpp|PersonalTitle{order: 2;}
idpp|FN{order: 3;}
idpp|SN{order: 4;}
idpp|Address{display: flex;}
fim|StreetName{order: 1;}
fim|HouseNumber{order: 2;}
fim|HouseNumber::after{content: ",";}
idpp|PostalCode{order: 3;}
idpp|L{order: 4;}
idpp|L::after{content: ",";}
idpp|St{order: 5;}
idpp|St::after{content: ",";}
idpp|C{order: 6;}